On Tue, 23 Aug 2005, Junio C Hamano wrote:
>
> So far, the following commands should be usable with relative directory
> paths:
> 
>     update-cache
>     ls-files
>     diff-files
>     diff-cache
>     diff-tree

Also, git-rev-parse.

Finally, this trivial patch makes "git-rev-list" also able to handle not
being in the top-level directory, which makes it possible to do "git log" 
and "git-whatchanged" at any point in the directory structure.

                        Linus

---
Subject: Make "git-rev-list" work within subdirectories

This trivial patch makes ""git-rev-list" able to handle not being in the
top-level directory. This magically also makes "git-whatchanged" do the 
right thing.

Trivial scripting fix to make sure that "git log" also works.

Signed-off-by: Linus Torvalds <[EMAIL PROTECTED]>
---
diff --git a/git-log-script b/git-log-script
--- a/git-log-script
+++ b/git-log-script
@@ -1,5 +1,4 @@
 #!/bin/sh
-. git-sh-setup-script || die "Not a git archive"
-revs=$(git-rev-parse --revs-only --default HEAD "$@")
+revs=$(git-rev-parse --revs-only --default HEAD "$@") || exit
 [ "$revs" ] || die "No HEAD ref"
 git-rev-list --pretty $(git-rev-parse --default HEAD "$@") | LESS=-S 
${PAGER:-less}
diff --git a/rev-list.c b/rev-list.c
--- a/rev-list.c
+++ b/rev-list.c
@@ -481,6 +481,7 @@ static void handle_one_commit(struct com
 int main(int argc, char **argv)
 {
        struct commit_list *list = NULL;
+       const char *prefix = setup_git_directory();
        int i, limited = 0;
 
        for (i = 1 ; i < argc; i++) {
-
To unsubscribe from this list: send the line "unsubscribe git" in
the body of a message to [EMAIL PROTECTED]
More majordomo info at  http://vger.kernel.org/majordomo-info.html

Reply via email to